dnl $Id$
dnl config.m4 for extension btnsms

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.

dnl If your extension references something external, use with:

PHP_ARG_WITH(btnsms, for btnsms support,
[  --with-btnsms             Include btnsms support])

if test "$PHP_BTNSMS" != "no"; then
  dnl Write more examples of tests here...

  dnl # --with-btnsms -> check with-path
  SEARCH_PATH="/usr/local /usr"     # you might want to change this
  SEARCH_FOR="/include/btnsms.h"  # you most likely want to change this
  if test -r $PHP_BTNSMS/; then # path given as parameter
    BTNSMS_DIR=$PHP_BTNSMS
  else # search default path list
    AC_MSG_CHECKING([for btnsms files in default path])
      for i in $SEARCH_PATH ; do
        if test -r $i/$SEARCH_FOR; then
          BTNSMS_DIR=$i
          AC_MSG_RESULT(found in $i)
        fi
      done
  fi
  
  if test -z "$BTNSMS_DIR"; then
    AC_MSG_RESULT([not found])
    AC_MSG_ERROR([Please reinstall the btnsms distribution])
  fi

  dnl # --with-btnsms -> add include path
  PHP_ADD_INCLUDE($BTNSMS_DIR/include)

  dnl # --with-btnsms -> check for lib and symbol presence
  LIBNAME=btnsms # you may want to change this
  LIBSYMBOL=btnSmsNew # you most likely want to change this 

  PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
   [
     PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $BTNSMS_DIR/lib, BTNSMS_SHARED_LIBADD)
     AC_DEFINE(HAVE_BTNSMSLIB,1,[ ])
   ],[
     AC_MSG_ERROR([wrong btnsms lib version or lib not found])
   ],[
     -L$BTNSMS_DIR/lib -lm -ldl -lcurl -lxml2
   ])
  
  PHP_SUBST(BTNSMS_SHARED_LIBADD)

  PHP_NEW_EXTENSION(btnsms, php_btnsms.c, $ext_shared)
fi
